Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class XMLResourceDescriptor

    java.lang.Object
      org.apache.batik.util.XMLResourceDescriptor

public class XMLResourceDescriptor
extends java.lang.Object

This class describes the XML resources needed to use the various batik modules.

Field Summary
`protected static java.util.ResourceBundle` | `bundle` The resource bundle
`static java.lang.String` | `CSS_PARSER_CLASS_NAME_KEY` The CSS parser class name key.
`protected static java.lang.String` | `cssParserClassName` The class name of the CSS parser to use.
`static java.lang.String` | `RESOURCES` The resources file name
`static java.lang.String` | `XML_PARSER_CLASS_NAME_KEY` The XML parser class name key.
`protected static java.lang.String` | `xmlParserClassName` The class name of the XML parser to use.

Constructor Summary
`XMLResourceDescriptor()`

Method Summary
`static java.lang.String` | `getCSSParserClassName()` Returns the class name of the CSS parser to use.
`static java.lang.String` | `getXMLParserClassName()` Returns the class name of the XML parser to use.
`static void` | `setCSSParserClassName(java.lang.String cssParserClassName)` Sets the class name of the CSS parser to use.
`static void` | `setXMLParserClassName(java.lang.String xmlParserClassName)` Sets the class name of the XML parser to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_PARSER_CLASS_NAME_KEY

    public static final java.lang.String XML_PARSER_CLASS_NAME_KEY

  The XML parser class name key.

  See Also:
    Constant Field Values

### CSS_PARSER_CLASS_NAME_KEY

    public static final java.lang.String CSS_PARSER_CLASS_NAME_KEY

  The CSS parser class name key.

  See Also:
    Constant Field Values

### RESOURCES

    public static final java.lang.String RESOURCES

  The resources file name

  See Also:
    Constant Field Values

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### xmlParserClassName

    protected static java.lang.String xmlParserClassName

  The class name of the XML parser to use.

### cssParserClassName

    protected static java.lang.String cssParserClassName

  The class name of the CSS parser to use.

Constructor Detail

### XMLResourceDescriptor

    public XMLResourceDescriptor()

Method Detail

### getXMLParserClassName

    public static java.lang.String getXMLParserClassName()

  Returns the class name of the XML parser to use.

  This method first checks if any XML parser has been specified using the `setXMLParserClassName` method. If any, this method will return the value of the property 'org.xml.sax.driver' specified in the `resources/XMLResourceDescriptor.properties` resource file.

### setXMLParserClassName

    public static void setXMLParserClassName(java.lang.String xmlParserClassName)

  Sets the class name of the XML parser to use.

  Parameters:
    `xmlParserClassName` - the classname of the XML parser

### getCSSParserClassName

    public static java.lang.String getCSSParserClassName()

  Returns the class name of the CSS parser to use.

  This method first checks if any CSS parser has been specified using the `setCSSParserClassName` method. If any, this method will return the value of the property 'org.w3c.css.sac.driver' specified in the `resources/XMLResourceDescriptor.properties` resource file.

### setCSSParserClassName

    public static void setCSSParserClassName(java.lang.String cssParserClassName)

  Sets the class name of the CSS parser to use.

  Parameters:
    `cssParserClassName` - the classname of the CSS parser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.